org.apache.http.impl

## Class DefaultBHttpClientConnectionFactory

- java.lang.Object
- - org.apache.http.impl.DefaultBHttpClientConnectionFactory

All Implemented Interfaces:
  HttpConnectionFactory<DefaultBHttpClientConnection>

    @Immutable
    public class DefaultBHttpClientConnectionFactory
    extends Object
    implements HttpConnectionFactory<DefaultBHttpClientConnection>

Default factory for `HttpClientConnection`s.

Since:
  4.3

### Field Summary

Fields
`static DefaultBHttpClientConnectionFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultBHttpClientConnectionFactory()`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig)`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory)`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig, HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory)`

### Method Summary

Methods
`DefaultBHttpClientConnection` `createConnection(Socket socket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultBHttpClientConnectionFactory INSTANCE

### Constructor Detail

#### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig,
                                       ContentLengthStrategy incomingContentStrategy,
                                       ContentLengthStrategy outgoingContentStrategy,
                                       HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                       HttpMessageParserFactory<HttpResponse> responseParserFactory)

#### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig,
                                       HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                       HttpMessageParserFactory<HttpResponse> responseParserFactory)

#### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig)

#### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory()

### Method Detail

#### createConnection

    public DefaultBHttpClientConnection createConnection(Socket socket)
                                                  throws IOException

Specified by:
  `createConnection` in interface `HttpConnectionFactory<DefaultBHttpClientConnection>`
Throws:
  `IOException`